org.apache.poi.hslf.record

## Enum DocumentAtom.SlideSize

- java.lang.Object
- - java.lang.Enum<DocumentAtom.SlideSize>
  - - org.apache.poi.hslf.record.DocumentAtom.SlideSize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DocumentAtom.SlideSize>
  Enclosing class:
    DocumentAtom

      public static enum DocumentAtom.SlideSize
      extends java.lang.Enum<DocumentAtom.SlideSize>

  Holds the different Slide Size values

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A4_SIZED_PAPER` Slide size ratio is consistent with A4 paper.
    `BANNER` Slide size ratio is consistent with a banner.
    `CUSTOM` Slide size ratio that is not consistent with any of the other specified slide sizes in this enumeration.
    `LETTER_SIZED_PAPER` Slide size ratio is consistent with letter paper.
    `ON_35MM` Slide size ratio is consistent with 35mm photo slides.
    `ON_SCREEN` Slide size ratio is consistent with a computer screen.
    `OVERHEAD` Slide size ratio is consistent with overhead projector slides.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocumentAtom.SlideSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DocumentAtom.SlideSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON_SCREEN

          public static final DocumentAtom.SlideSize ON_SCREEN

      Slide size ratio is consistent with a computer screen.

    - #### LETTER_SIZED_PAPER

          public static final DocumentAtom.SlideSize LETTER_SIZED_PAPER

      Slide size ratio is consistent with letter paper.

    - #### A4_SIZED_PAPER

          public static final DocumentAtom.SlideSize A4_SIZED_PAPER

      Slide size ratio is consistent with A4 paper.

    - #### ON_35MM

          public static final DocumentAtom.SlideSize ON_35MM

      Slide size ratio is consistent with 35mm photo slides.

    - #### OVERHEAD

          public static final DocumentAtom.SlideSize OVERHEAD

      Slide size ratio is consistent with overhead projector slides.

    - #### BANNER

          public static final DocumentAtom.SlideSize BANNER

      Slide size ratio is consistent with a banner.

    - #### CUSTOM

          public static final DocumentAtom.SlideSize CUSTOM

      Slide size ratio that is not consistent with any of the other specified slide sizes in this enumeration.

  - ### Method Detail

    - #### values

          public static DocumentAtom.SlideSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentAtom.SlideSize c : DocumentAtom.SlideSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentAtom.SlideSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.